/* RESET ----------------------------- */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/* BREAKPOINTS ----------------------------- */

:root {
    --breakpoint-xs: 480px;
    --breakpoint-sm: 768px;
    --breakpoint-md: 922px;
    --breakpoint-lg: 1440px;
}

/* SPACING ----------------------------- */

:root {
    --base-spacing: 16px;
    --spacing-sm: calc(var(--base-spacing) * 1);
    --spacing-md: calc(var(--base-spacing) * 1.5);
    --spacing-lg: calc(var(--base-spacing) * 2);
}

/* TYPOGRAPHY ----------------------------- */

@font-face {
  font-family: 'SoehneWebBuch';
  src: url('/fonts/soehne-web-buch.woff2') format('woff2'),
       url('/fonts/soehne-web-buch.woff') format('woff'),
       url('/fonts/soehne-web-buch.ttf') format('truetype'),
       url('/fonts/soehne-web-buch.eot') format('embedded-opentype');
  font-weight: normal;
  font-style: normal;
}

:root {
    --base-font-family: 'SoehneWebBuch', sans-serif;
    --base-font-size: 16px;
    --font-size-sm: var(--base-font-size);
    --font-size-md: calc(var(--base-font-size) * 1.5);
    --font-size-lg: calc(var(--base-font-size) * 2);
    --base-line-height: 1.25;
}

html, body {
    font-family: var(--base-font-family);
    font-size: var(--base-font-size);
    line-height: var(--base-line-height);
}

p {
    margin-bottom: var(--base-spacing);
}

@media (min-width: 480px) {
}

@media (min-width: 768px) {

}

@media (min-width: 922px) {
    body { font-size: var(--font-size-md); }
    p { margin-bottom: var(--spacing-md); }
}

@media (min-width: 1440px) {
    body { font-size: var(--font-size-lg); }
    p { margin-bottom: var(--spacing-lg); }
}

/* COLOURS ----------------------------- */

:root {
    --text-color: black;
    --bg-color: white;
    --link-color: var(--text-color);
}

.dark-mode {
    --text-color: white;
    --bg-color: black;
    --link-color: var(--text-color);
}

body, a {
    color: var(--text-color);
    background-color: var(--bg-color);
}

#color-mode-toggle {
    padding: 0;
    font-size: calc(var(--base-spacing) * 1.2);
    color: black;
    background-color: transparent;
    border: none;
    cursor: pointer;
    position: fixed;
    bottom: var(--base-spacing);
    left: var(--base-spacing);
    z-index: 9999;
}

#color-mode-toggle:hover {
    color: black;
}

@media (min-width: 480px) {
}

@media (min-width: 768px) {

}

@media (min-width: 922px) {
    #color-mode-toggle {
        font-size: calc(var(--base-spacing) * 1.5);
        bottom: var(--spacing-md);
        left: var(--spacing-md);
        }
}

@media (min-width: 1440px) {
    #color-mode-toggle {
        font-size: calc(var(--base-spacing) * 2);
        bottom: var(--spacing-lg);
        left: var(--spacing-lg);
        }
}

/* LINKS ----------------------------- */

a {
    color: var(--link-color);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* GRID ----------------------------- */

:root {
    --container-width: 100%;

    --base-grid-gap: var(--base-spacing);
    --grid-gap-md: var(--spacing-md);
    --grid-gap-lg: var(--spacing-lg);

    --base-gutter-width: var(--base-spacing);
    --gutter-width-md: var(--spacing-md);
    --gutter-width-lg: var(--spacing-lg);
}

/* Container */
.container {
    max-width: var(--container-width);
    margin: 0 auto;
    padding: var(--base-gutter-width);
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: var(--base-grid-gap);
}

.col {
    grid-column: span 1;
}

/* Media queries */
@media (min-width: 480px) {
    .container { grid-template-columns: repeat(2, 1fr); }
    .col.header, .col.body  { grid-column: span 1; }
}

@media (min-width: 768px) {
    .container { grid-template-columns: repeat(4, 1fr); }
    .col.header, .col.body { grid-column: span 2; }
}

@media (min-width: 922px) {
    .container {
        grid-template-columns: repeat(6, 1fr);
        padding: var(--gutter-width-md);
        gap: var(--grid-gap-md);
    }
    .col.header, .col.body { grid-column: span 3; }
}

@media (min-width: 1440px) {
    .container {
        grid-template-columns: repeat(12, 1fr);
        padding: var(--gutter-width-lg);
        gap: var(--grid-gap-lg);
    }
    .col.header, .col.body { grid-column: span 6; }
}

/* TRANSITIONS ----------------------------- */

:root {
  --transition-duration: 0.3s;
  --transition-timing-function: ease;
}

body {
    transition: background-color var(--transition-duration) var(--transition-timing-function);
}

a {
    transition: background-color var(--transition-duration) var(--transition-timing-function);
}


h1, p {
    transition: background-color var(--transition-duration) var(--transition-timing-function);
}

/* LAYOUT ----------------------------- */

/* * {
  outline: 1px solid red;
  outline-offset: -1px;
} */
